<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.3.2
Name: Logo Entry
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.1.3.2-2011-12-19T000000">
   <title>Logo Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.2
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]
Item: (LogoEntry)
-->

<rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]"
         id="tmp-r-290356-635429-144434-922696">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130910T095507/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']])&gt;=1 ">(LogoEntry): Element hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130910T095507/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']])&lt;=1">(LogoEntry): Element hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.2
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]/hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]
Item: (LogoEntry)
-->

<rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]/hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]"
         id="tmp-r-661810-939563-774576-957997">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130910T095507/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="string(@classCode)='OBS'">(LogoEntry): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130910T095507/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="string(@moodCode)='EVN'">(LogoEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130910T095507/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.2'])&gt;=1 ">(LogoEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130910T095507/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.2'])&lt;=1">(LogoEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130910T095507/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(LogoEntry): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130910T095507/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:value)&lt;=1">(LogoEntry): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.2
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]/hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]/hl7:templateId
Item: (LogoEntry)
-->

<rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]/hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]/hl7:templateId"
         id="tmp-r-565209-587594-165609-186252">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130910T095507/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LogoEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130910T095507/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1.3.2'">(LogoEntry): @root MUSS den Wert '1.2.40.0.34.11.1.3.2' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.2
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]/hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]/hl7:value
Item: (LogoEntry)
-->

<rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]/hl7:observationMedia[hl7:templateId[@root='1.2.40.0.34.11.1.3.2']]/hl7:value"
         id="tmp-r-344907-492983-127922-303200">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130910T095507/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LogoEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130910T095507/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="string(@mediaType)='image/png' or string(@mediaType)='image/jpeg'">(LogoEntry): Der Wert von @mediaType MUSS einer der folgenden Kodes enthalten: image/png', 'image/jpeg.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130910T095507/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="string(@representation)='B64'">(LogoEntry): Der Wert von @representation MUSS 'B64' sein.</assert>
   </rule>
</pattern>
